 %macro REGHCMDB(sesetl_serverContext=SASMain,
                sesetl_sasLibrary=,
                sesetl_treeNm=,
                sesetl_databaseSchema=,
                sesetl_sasLibraryRelational=,
                sesetl_propertySetNm=DBMSNames
               );

 %let sesetl_sasLibrary = &sesetl_sasLibrary ;
 %let sesetl_registerTables = work._registerTables ;
 %let sesetl_Version = SDM SAS Supplied Model - v1.0 ;
 %let sesetl_ValidTreeTypes = D:Dimension Tables @ R:Reference Tables @ F:Fact Tables ;
 %let sesetl_treeName = &sesetl_treeNm ;
 %let sesetl_altETLStudioTreeNm=SAS Data Integration Studio Custom Tree;
 %let sesetl_altEtlStudioGroupNm=Data Integration Studio Groups;
 %let sesetl_security = Y ;

 data &sesetl_registerTables ;
   length sasTableName    $255 ;
   length omrObjTableName $255 ;
   length treeType        $1 ;

   sasTableName    = "abshist" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "abshmast" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "acthist" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "acthmast" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "apphist" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "apphmast" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "cgrade" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "cjobs" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "cwrkgrp" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "comphist" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "empgen" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "empmast" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "factorsite" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "grade" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "hcbnchmrk" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "headsum" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "jobs" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "openpos" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "oposmast" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "opossum" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "pos" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "salhist" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "salhsum" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "termmast" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "tip" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "useremployee" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;
   sasTableName    = "wrkgrp" ;
   omrObjTableName = sasTableName ;
   treeType        = "R" ;
   output ;



 run ;

 proc display c=sashelp.regdata.RegisterRelationalTables.scl;
 run;

 %mend;
